Today I talk about how I fixed “Failed to build nokogiri¬†1.8.3” on Fedora 28.